Ogre::GLSLProgramFactory Class Reference

Factory class for GLSL programs. More...

`#include <OgreGLSLProgramFactory.h>`

Inheritance diagram for Ogre::GLSLProgramFactory:
[legend]

List of all members.

## Public Member Functions

| GLSLProgramFactory (void)
| ~GLSLProgramFactory (void)
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
| Create an instance of GLSLProgram.
void | destroy (HighLevelGpuProgram *prog)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Static Protected Attributes

static String | sLanguageName

## Private Attributes

GLSLLinkProgramManager * | mLinkProgramManager

## Detailed Description

Factory class for GLSL programs.

Definition at line 39 of file OgreGLSLProgramFactory.h.

## Constructor & Destructor Documentation

Ogre::GLSLProgramFactory::GLSLProgramFactory | ( | void |  | ) |

Ogre::GLSLProgramFactory::~GLSLProgramFactory | ( | void |  | ) |

## Member Function Documentation

HighLevelGpuProgram* Ogre::GLSLProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) |  | `[virtual]`

Create an instance of GLSLProgram.

Implements Ogre::HighLevelGpuProgramFactory.

void Ogre::GLSLProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

Implements Ogre::HighLevelGpuProgramFactory.

const String& Ogre::GLSLProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

GLSLLinkProgramManager* Ogre::GLSLProgramFactory::mLinkProgramManager`[private]`

Definition at line 55 of file OgreGLSLProgramFactory.h.

String Ogre::GLSLProgramFactory::sLanguageName`[static, protected]`

Definition at line 42 of file OgreGLSLProgramFactory.h.

The documentation for this class was generated from the following file:

- OgreGLSLProgramFactory.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:55